# Interface DoubleStream.DoubleMapMultiConsumer

Enclosing interface:
  `DoubleStream`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface DoubleStream.DoubleMapMultiConsumer
Represents an operation that accepts a `double`-valued argument and a DoubleConsumer, and returns no result. This functional interface is used by `DoubleStream.mapMulti` to replace a double value with zero or more double values.

This is a functional interface whose functional method is `accept(double, DoubleConsumer)`.

Since:
  16
See Also:
  - `DoubleStream.mapMulti(DoubleMapMultiConsumer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(double value, DoubleConsumer dc)`
Replaces the given `value` with zero or more values by feeding the mapped values to the `dc` consumer.

## Method Details

### accept

void accept(double value, DoubleConsumer dc)
Replaces the given `value` with zero or more values by feeding the mapped values to the `dc` consumer.

Parameters:
  `value` - the double value coming from upstream
  `dc` - a `DoubleConsumer` accepting the mapped values